@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700&display=swap");

:root {
    --body-color: hsl(228, 6%, 8%);
    --title-color: hsl(228, 8%, 98%);
    --complementary-color: hsl(330, 34%, 15%);
    --first-color: hsl(93, 54%, 54%);
    --first-color-alt: hsl(93, 50%, 48%);
    --first-color-light: hsl(93, 58%, 66%);
    --title-color: hsl(228, 8%, 98%);
    --text-color: hsl(228, 8%, 70%);
    --white-color: hsl(228, 8%, 98%);
    --black-color: hsl(228, 6%, 4%);
    --body-color: hsl(228, 6%, 8%);
    --shadow-img: 0 0 48px hsla(93, 54%, 54%, .4);
    --gradient-card: linear-gradient(180deg,
                                hsla(93, 8%, 8%),
                                hsla(93, 40%, 30%));

    --body-font: "Montserrat", sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--body-font);
}

h1{
    font-size: 50px;
    line-height: 64px;
    color: var(--title-color);
} 

h2{
    font-size: 46px;
    line-height: 54px;
    color: var(--title-color);
}

h4{
    font-size: 20px;
    color: var(--title-color);
}
    
h6{
    font-weight: 700;
    font-size: 12px;
    color: var(--title-color);
}

p{
    font-size: 16px;
    color: var(--title-color);
    margin: 15px 0 20px 0;
}

.section-p2{
    padding: 40px 80px;
    background-color: var(--black-color);
}

.section-p1{
    padding: 40px 80px;
}

.section-m1{
    margin: 40px 0;
}

.section-m2{
    margin: 40px 0px 0px 0px;
}

button.normal{
    font-size: 14px;
    font-weight: 600;
    padding: 15px 30px;
    color: #000;
    background-color: #fff;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    outline: none;
    transition: 0.25;
}

body{
    width: 100%;
    background-color: var(--body-color);
}

#header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background: var(--complementary-color);
    box-shadow: 5px 15px rgba(0, 0, 0, 0.03);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

#navbar{
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li{
    list-style: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    color: var(--title-color);
    transition: 0.3s ease;
}

#navbar li a:hover,
#navbar li a.active{
    color: var(--first-color);
}

#navbar li a.active::after,
#navbar li a:hover::after {
    content: "";
    width: 30%;
    height: 2px;
    background: #088178;
    position: absolute;
    bottom: -4px;
    left: 20px; 
}

#mobile{
    display: none;
    align-items: center;
}

#close{
    display: none;
}

#hero {
    background-image: url("images/nice.jpg");
    height: 100vh;
    width: 100%;
    background-size: cover;
    background-position: top 25% right 0;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

#hero h4{
    padding-bottom: 15px;
}

#hero h1{
    color: #088178;
}

#hero button{
    background-image: url("images/button.png");
    background-color: transparent;
    color: #888178;
    border: 0;
    padding: 14px 80px 20px 65px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 15px;
}

#feature{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

#feature .fe-box {
    width: 180px;
    text-align: center;
    padding: 25px 15px;
    box-shadow: 20px 20px 34px rgba(0, 0, 0, 0.03);
    border: 1px solid #cce7d0;
    border-radius: 4px;
    margin: 15px 0;
    color: var(--title-color);
    background-color: var(--body-color) ;
}

#feature .fe-box:hover {
    box-shadow: var(--shadow-img);
}

#feature .fe-box img{
    width: 100%;
    margin-bottom: 10px;
}

#feature .fe-box h6{
    display: inline-block;
    padding: 9px 8px 6px 8px;
    line-height: 1;
    border-radius: 4px;
    color: var(--black-color);
    background-color: #fddde4;
}

#feature .fe-box:nth-child(2) h6{
    background-color: #cdebbc;
}

#feature .fe-box:nth-child(3) h6{
    background-color: #d1e8f2;
}

#feature .fe-box:nth-child(4) h6{
    background-color: #cdd4f8;
}

#feature .fe-box:nth-child(5) h6{
    background-color: #f6dbf6;
}

#feature .fe-box:nth-child(6) h6{
    background-color: #fff2e5;
}

#product1 {
    text-align: center;
}

#product1 .pro-container{
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
    flex-wrap: wrap;
}
    
#product1 .pro{
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}
    
#product1 .pro:hover{
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.06);
}

#product1 .pro img{
    width: 100%;
    border-radius: 20px;
}

#product1 .pro .des {
    text-align: start;
    padding: 10px 0;
}

#product1 .pro .des span {
    color: var(--title-color);
    font-size: 12px;
}

#product1 .pro .des h5{
    padding-top: 7px;
    color: var(--title-color); 
    font-size: 14px;
}

#product1 .pro .des i{
    font-size: 12px;
    color: rgb(243, 181, 25);
}

#product1 .pro .des h4{
    padding-top: 7px;
    font-size: 15px;
    font-weight: 700;
    color: var(--title-color);
}

#product1 .pro .cart{
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #e8f6ea;
    font-weight: 500;
    color: #088178;
    border: 1px solid #cce7d0;
    position: absolute;
    bottom: 20px;
    right: 10px;
}

#banner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url("images/b1.jpg");
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

#banner h4 {
    color: #fff;
    font-size: 16px;
}

#banner h2 {
    color: #fff;
    font-size: 30px;
    padding: 10px 0;
}

#banner h2 span{
        color: var(--first-color);
}

#banner button:hover{
    background: var(--text-color);
    color: var(--white-color);
}

#newsletter {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: url("images/b2.jpg");
    background-repeat: no-repeat;
    background-position: 20% 30%;
    background-color: #041e42;
}

#newsletter h4 {
    font-size: 22px;
    font-weight: 700;
    color: #fff;
}

#newsletter p{
    font-size: 14px;
    font-weight: 600;
    color: #818ea0;
}

#newsletter p span{
    color: #ffbd27;
}

#newsletter .form{
    display: flex;
    width: 40%;
}
    
#newsletter input{
    height: 3.125rem;
    padding: 0 1.25em;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#newsletter button{
    background-color: #888178;
    color: #fff;
    white-space: nowrap;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

#newsletter button:hover{
    background: var(--first-color-light);
    color: var(--black-color);
}

footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .col {
    flex-basis: calc(25% - 20px); /* Each column takes up 25% of the width with some spacing */
    flex-grow: 1; /* Allow columns to grow */
    flex-shrink: 1; /* Allow columns to shrink */
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer .logo{
    margin-bottom: 30px;
}

footer h4{
    font-size: 20px;
    padding-bottom: 20px;
}

footer p{
    font-size: 13px;
    margin: 0 0 8px 0;
    }

footer a {
    font-size: 13px;
    text-decoration: none;
    color: var(--title-color);
    margin-bottom: 10px;
}

footer a:hover,
footer .follow i:hover{
    color: var(--first-color-light);
}

footer .follow{
    margin-top: 20px;
}

footer .follow i {
    color: var(--white-color);
    padding-right: 4px;
    cursor: pointer;
}

footer .copyright {
    width: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
    margin-top: 20px;
}

footer .copyright-text {
    font-size: 13px;
    color: var(--title-color);
}

/* Shop CSS */

#page-header {
    background-image: url("images/b3.jpg");
    width: 100%;
    height: 40vh;
    background-size: cover;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    padding: 14px;
}

#page-header h2,
#page-header p{
    color: var(--white-color);
}

#pagination {
    text-align: center;
}

#pagination a{
    text-decoration: none;
    background-color: #088178;
    padding: 15px 20px;
    border-radius: 4px;
    color: var(--white-color);
    font-weight: 600;
}

#pagination a i{
    font-size: 16px;
    font-weight: 600;
}

/* Single Product*/
#prodetails{
    display: flex;
    margin-right: 20px;
}

#prodetails .single-pro-image {
    width: 40%;
    margin-right: 50px;
}

.small-img-group {
    display: flex;
    justify-content: space-between;
}

.small-img-col{
    flex-basis: 24%;
    cursor: pointer;
}

#prodetails .single-pro-details{
    width: 40%;
    padding-top: 30px;
}

#prodetails .single-pro-details h4{
    padding: 40px 0 20px 0;
}

.hello{
    color: var(--white-color);
}

#prodetails .single-pro-details h2{
    font-size: 26px;
}

#prodetails .single-pro-details select {
    display: block;
    padding: 5px 10px;
    margin-bottom: 10px;
}
    
#prodetails .single-pro-details input {
    width: 60px;
    height: 47px;
    padding-left: 10px;
    font-size: 16px;
    margin-right: 10px;
}

#prodetails .single-pro-details input:focus{
    outline: none;
}

#prodetails .single-pro-details button{
    background: #088178;
    color: var(--white-color);
}

#prodetails .single-pro-details input span{
    line-height: 25px;
}


/*About us CSS*/
#page-header.about-header{
    background-image: url(images/1.png);
}

#about-head{
    display: flex;
    align-items: center;
}

#about-head img{
    width: 50%;
    height: auto;
}

#about-head div{
    padding-left: 40px;
}

.head{
    color: var(--white-color);
}

/*CONTACT CSS*/
#page-header.contact-header{
    background-image: url(images/b1.jpg);
}

#contact-details{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#contact-details .detail{
    width: 40%;
}

#contact-details .details span {
    font-size: 12px;
    }

#contact-details .details h2{
    font-size: 26px;
    line-height: 35px;
    padding: 20px 0;
}

#contact-details .details h3 {
    font-size: 16px;
    padding-bottom: 15px;
    color: var(--white-color);
}

#contact-details .details span{
    color: var(--white-color);
}
    
#contact-details .details li{
    list-style: none;
    display: flex;
    padding: 10px 0;
}

#contact-details .details li i{
    font-size: 14px;
    padding-right: 22px;
    color: var(--white-color);

}

#contact-details .details li p{
    margin: 0;
    font-size: 14px;
}

#contact-details .map{
    width: 55%;
    height: 400px;
}

#contact-details .map iframe{
    width: 100%;
    height: 100%;
}



/*Account CSS*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  html,
  body {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
  }
  
  html {
    font-size: 62.5%;
  }
  
  body {
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 1.4rem;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
  }
  
  body::-webkit-scrollbar {
    width: .5rem;
  }
  
  body::-webkit-scrollbar-track {
    background: rgb(81, 45, 168);
  }
  
  body::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, .25);
  }
  
  body::-webkit-scrollbar-thumb:hover {
    background: rgba(255, 255, 255, .5);
  }
  
  /* Overlay */
  .overlay {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    align-items: center;
    overflow: hidden;
  }
  
  /* Login form */
  .login {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin: 0 auto;
  }
  
  .login .login__inner {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    align-content: center;
    padding: 0 2rem;
  }
  
  .login .login__inner .login__header {
    display: flex;
    width: 100%;
    margin-bottom: 10rem;
  }
  
  .login .login__inner .login__header .login__title {
    display: flex;
    width: 100%;
  }
  
  .login .login__inner .login__header .login__title h1.login__heading {
    font-size: 5.5rem;
    font-weight: 100;
    color: #fff;
    text-align: center;
    margin: 5rem 0 2.5rem 0;
    width: 100%;
  }
  
  .login .login__inner .login__content {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
  }
  
  .login .login__inner .login__content .login__form {
    display: flex;
    width: 100%;
    justify-content: center;
  }
  
  .login .login__inner .login__content .login__form .form {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
  }
  
  .login .login__inner .login__content .login__form .form .form__group {
    position: relative;
    display: flex;
    width: 100%;
    margin-bottom: 5rem;
  }
  
  .login .login__inner .login__content .login__form .form .form__group:last-of-type {
    margin-bottom: 0;
    flex-direction: column;
    justify-content: center;
  }
  
  .login .login__inner .login__content .login__form .form .form__group:last-of-type .form__text {
    text-align: center;
    margin-bottom: 1.5rem;
  }
  
  .login .login__inner .login__content .login__form .form .form__group:last-of-type .form__text:last-of-type {
    margin-bottom: 0;
  }
  
  .login .login__inner .login__content .login__form .form .form__group:last-of-type .form__link {
    color: #fff;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__icon {
    position: absolute;
    top: 0;
    left: 1rem;
    display: flex;
    width: 2rem;
    height: 100%;
    fill: #fff;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__input {
    display: flex;
    width: 100%;
    padding: 2rem 4rem;
    background: transparent;
    font-size: 1.75rem;
    letter-spacing: .125rem;
    color: #fff;
    border: none;
    outline: none;
    box-shadow: none;
    border-bottom: .1rem solid rgba(255, 255, 255, .3);
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__input:focus + .form__input-after {
    width: 100%;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__input:focus ~ .form__label,
  .login .login__inner .login__content .login__form .form .form__group .form__input:valid ~ .form__label {
    transform: translate3d(4rem, 0, 0);
    font-size: 1.25rem;
    color: rgba(255, 255, 255, .3);
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__input:-webkit-autofill,
  .login .login__inner .login__content .login__form .form .form__group .form__input:-webkit-autofill:hover,
  .login .login__inner .login__content .login__form .form .form__group .form__input:-webkit-autofill:focus,
  .login .login__inner .login__content .login__form .form .form__group .form__input:-webkit-autofill:active {
    transition: 0s 50000s ease all;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__input-after {
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 99;
    display: flex;
    width: 0;
    height: .1rem;
    background-color: #fff;
    transition: .25s cubic-bezier(.694, .048, .335, 1) all;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__label {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: calc(100% - 8rem);
    height: 2rem;
    font-size: 1.75rem;
    transform: translate3d(4rem, 2rem, 0);
    transition: .25s cubic-bezier(.694, .048, .335, 1) all;
    
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__btn {
    position: relative;
    display: flex;
    width: 100%;
    justify-content: center;
    padding: 2rem 4rem;
    cursor: pointer;
    border: .1rem solid #fff;
    border-radius: .25rem;
    background: transparent;
    box-shadow: none;
    outline: none;
    text-transform: uppercase;
    transition: .25s cubic-bezier(.694, .048, .335, 1) all;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__btn::after {
    content: " ";
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 0;
    height: 100%;
    background-color: #fff;
    transition: .25s cubic-bezier(.694, .048, .335, 1) all;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__btn:hover::after {
    width: 100%;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__btn:hover .form__btn-text {
    color: #1f2029;
  }
  
  .login .login__inner .login__content .login__form .form .form__group .form__btn .form__btn-text {
    position: relative;
    z-index: 99;
    font-size: 1.75rem;
    letter-spacing: .25rem;
    color: #fff;
  }
  
  
  
  /* Media Queries */
  @media (min-width: 48rem) {
    .login {
      width: 75%;
    }
  }
  
  @media (min-width: 62rem) {
    .login {
      width: 50%;
    }
  }
  
  @media (min-width: 75rem) {
    .login {
      width: 33%;
    }
  
    .login .login__inner {
      max-width: 50rem;
      margin: 0 auto;
    }
  }
  
  
  
  
  /* OTHERS */
  
  *:focus {
      outline: none;
  } 
  
  #icon {
    width:60%;
  }
  
  * {
    box-sizing: border-box;
  }



@media (max-width:799px) {
    .section-p2 {
        padding: 40px 40px;
        background-color: var(--black-color);
    }

    #navbar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    position: fixed;
    top: 0;
    right: -300px;
    height: 100vh;
    width: 300px;
    background-color: var(--complementary-color);
    box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
    padding: 80px 0 0 10px;
    transition: 0.3s;
    }

    #navbar.active{
        right: 0px;
    }

    #navbar li{
        margin-bottom: 25px;
    }

    #mobile{
        display: flex;
        align-items: center;
    }

    #mobile i{
        color: var(--white-color);
        font-size: 24px;
        padding-left: 20px;
    }

    #close{
        display: initial;
        position: absolute;
        top: 30px;
        left: 30px;
        color: var(--white-color);
        font-size: 24px;
    }

    #lg-bag{
        display: none;
    }

    #hero {
        height: 80vh;
        padding: 0 80px;
        background-position: top 35% right 40%;
    }

    #feature {
        justify-content: center;
    }

    #feature .fe-box {
        margin: 15px 15px;
        color: var(--title-color);
        background-color: var(--body-color);
    }

    #product1 .pro-container {
        justify-content: center;
    }

    #product1 .pro {
        margin: 15px;
    }

    #banner {
        height: 20vh;
    }

    #newsletter .form {
        width: 70%;
    }
}

@media (max-width: 477px) {
    .section-p1 {
        padding: 20px;
    }
    .section-p2 {
        padding: 20px;
        background-color: var(--black-color);
    }
    #header {
        padding: 10px 30px;
    }
    h1 {
        font-size: 38px;
    }

    h2 {
        font-size: 32px;
    }

    #hero {
        padding: 0 20px;
        background-position: 55%; 
    }

    #feature {
        justify-content: space-between;
    }

    #feature .fe-box {
        width: 155px;
        margin: 0  0 15px 0;
        color: var(--title-color);
        background-color: var(--body-color);
    }

    #product1 .pro {
        width: 100%;
    }

    #banner {
        height: 40vh;
    }

    #newsletter {
        padding: 40px 20px;
    }

    #newsletter .form {
        width: 100%;
    }
    
    /*Single Product*/
    #prodetails {
        display: flex;
        flex-direction: column;
    }

    #prodetails .single-pro-image{
        width: 100%;
        margin-right: 0px;
    }

    #prodetails .single-pro-details{
        width: 100%;
    }

    /*About Page*/
    #about-head {
        flex-direction: column;
    }

    #about-head img {
        width: 100%;
        margin-bottom: 20px;
    }

    #about-head div {
        padding-left: 0px;
    }

}



